Method: cases.search

Search for cases using a query.

EXAMPLES:

cURL:

parent="projects/some-project"
curl \
  --header "Authorization: Bearer $(gcloud auth print-access-token)" \
  "https://cloudsupport.googleapis.com/v2/$parent/cases:search"

Python:

import googleapiclient.discovery

apiVersion = "v2"
supportApiService = googleapiclient.discovery.build(
    serviceName="cloudsupport",
    version=apiVersion,
    discoveryServiceUrl=f"https://cloudsupport.googleapis.com/$discovery/rest?version={apiVersion}",
)
request = supportApiService.cases().search(
    parent="projects/some-project", query="state=OPEN"
)
print(request.execute())

HTTP request

GET https://cloudsupport.googleapis.com/v2/{parent=*/*}/cases:search

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

The name of the parent resource to search for cases under.

Query parameters

Parameters
query

string

An expression used to filter cases.

Expressions use the following fields separated by AND and specified with =:

  • state: Can be OPEN or CLOSED.
  • priority: Can be P0, P1, P2, P3, or P4. You can specify multiple values for priority using the OR operator. For example, priority=P1 OR priority=P2.
  • creator.email: The email address of the case creator.

To search across displayName, description, and comments, use a global restriction with no keyword or operator. For example, "my search".

To search only cases updated after a certain date, use updateTime restricted with that particular date, time, and timezone in ISO datetime format. For example, updateTime>"2020-01-01T00:00:00-05:00". updateTime only supports the greater than operator (>).

If you are using the v2 version of the API, you must specify the case parent in the parent field. If you provide an empty query, all cases under the parent resource will be returned.

If you are using the v2beta version of the API, you must specify the case parent in the query field using one of the two fields below, which are only available for v2beta. The parent field will be ignored.

  • organization: An organization name in the form organizations/<organizationId>.
  • project: A project name in the form projects/<projectId>.

Examples:

For v2:

  • state=CLOSED
  • state=OPEN AND creator.email="tester@example.com"
  • state=OPEN AND (priority=P0 OR priority=P1)
  • updateTime>"2020-01-01T00:00:00-05:00"

For v2beta:

  • organization="organizations/123456789"
  • project="projects/my-project-id"
  • project="projects/123456789"
  • organization="organizations/123456789" AND state=CLOSED
  • project="projects/my-project-id" AND creator.email="tester@example.com"
  • project="projects/my-project-id" AND (priority=P0 OR priority=P1)
pageSize

integer

The maximum number of cases fetched with each request. The default page size is 10.

pageToken

string

A token identifying the page of results to return. If unspecified, the first page is retrieved.

Request body

The request body must be empty.

Response body

The response message for the cases.search endpoint.

If successful, the response body contains data with the following structure:

JSON representation
{
  "cases": [
    {
      object (Case)
    }
  ],
  "nextPageToken": string
}
Fields
cases[]

object (Case)

The list of cases associated with the parent after any filters have been applied.

nextPageToken

string

A token to retrieve the next page of results. Set this in the pageToken field of subsequent cases.search requests. If unspecified, there are no more results to retrieve.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloudsupport
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.